[FFe] add squashfs support by default

Bug #1501834 reported by Scott Moser on 2015-10-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
initramfs-tools (Ubuntu)
Medium
Unassigned

Bug Description

In testing use of squashfs images, I found that my initramfs could not mount the squashfs filesystem.
Paired with overlayroot, squashfs is very nice for testing.

We're investigating use of squashfs as a image type for cloud images.
Heres example of the changes to the generated initramfs.
Roughly 22k growth on what was ~32M. The only module added is the
squashfs module (no additional deps pulled in).

$ cd /boot
$ sudo cp initrd.img-4.2.0-12-generic initrd.img-4.2.0-12-generic.orig
$ sudo dpkg -i initramfs-tools*_amd64.deb
$ dpkg-query --show initramfs-tools
0.120ubuntu6~sm0
$ sudo update-initramfs -u -k 4.2.0-12-generic
$ lsinitramfs initrd.img-4.2.0-12-generic.orig | sort > /tmp/list.orig
$ lsinitramfs initrd.img-4.2.0-12-generic | sort > /tmp/list

$ diff -u /tmp/list.orig /tmp/list
--- /tmp/list.orig 2015-10-01 12:59:09.030401257 -0400
+++ /tmp/list 2015-10-01 13:04:56.537463788 -0400
@@ -163,7 +163,7 @@
 etc/udev
 etc/udev/udev.conf
 init
-initrd.img-4.2.0-12-generic.orig
+initrd.img-4.2.0-12-generic
 kernel
 kernel/x86
 kernel/x86/microcode
@@ -1461,6 +1461,8 @@
 lib/modules/4.2.0-12-generic/kernel/fs/nfs/nfsv4.ko
 lib/modules/4.2.0-12-generic/kernel/fs/reiserfs
 lib/modules/4.2.0-12-generic/kernel/fs/reiserfs/reiserfs.ko
+lib/modules/4.2.0-12-generic/kernel/fs/squashfs
+lib/modules/4.2.0-12-generic/kernel/fs/squashfs/squashfs.ko
 lib/modules/4.2.0-12-generic/kernel/fs/udf
 lib/modules/4.2.0-12-generic/kernel/fs/udf/udf.ko
 lib/modules/4.2.0-12-generic/kernel/fs/xfs

$ ls -l initrd.img-4.2.0-12-generic.orig initrd.img-4.2.0-12-generic
-rw-r--r-- 1 root root 33555932 Oct 1 13:03 initrd.img-4.2.0-12-generic
-rw-r--r-- 1 root root 33533473 Oct 1 12:55 initrd.img-4.2.0-12-generic.orig
$ echo $((33555932-33533473))
22459

$ ls -l /lib/modules/4.2.0-12-generic/kernel/fs/squashfs/squashfs.ko
-rw-r--r-- 1 root root 87569 Sep 28 17:27 /lib/modules/4.2.0-12-generic/kernel/fs/squashfs/squashfs.ko

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: initramfs-tools 0.120ubuntu5
ProcVersionSignature: Ubuntu 4.2.0-10.12-generic 4.2.0
Uname: Linux 4.2.0-10-generic x86_64
ApportVersion: 2.19-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Oct 1 12:47:13 2015
EcryptfsInUse: Yes
InstallationDate: Installed on 2015-07-23 (70 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150722.1)
PackageArchitecture: all
SourcePackage: initramfs-tools
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :
description: updated
description: updated
Changed in initramfs-tools (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Scott Moser (smoser) on 2015-10-01
description: updated
Stéphane Graber (stgraber) wrote :

Minor feature addition with no real regression potential and only minimal size increase. Fine with me, FFe granted.

summary: - add squashfs support by default
+ [FFe] add squashfs support by default
Changed in initramfs-tools (Ubuntu):
status: Confirmed → Triaged
tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package initramfs-tools - 0.120ubuntu6

---------------
initramfs-tools (0.120ubuntu6) wily; urgency=medium

  * add squashfs to list of 'most' modules (LP: #1501834)

 -- Scott Moser <email address hidden> Thu, 01 Oct 2015 12:48:11 -0400

Changed in initramfs-tools (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers